Skip to main content
GET
List Campaigns

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Query Parameters

limit
integer

Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.

Required range: 1 <= x <= 100
page
integer

Which page of results to return. The lowest value is 1.

Required range: 1 <= x <= 100
campaign_type
enum<string>

This attribute allows filtering by campaign type.

Available options:
PROMOTION,
GIFT_VOUCHERS,
REFERRAL_PROGRAM,
DISCOUNT_COUPONS,
LOYALTY_PROGRAM
expand
enum<string>

Includes an expanded categories object in the response. If the Areas and Stores Enterprise feature is enabled, add access_settings_assignments to return assigned areas and stores.

Available options:
category,
access_settings_assignments
campaign_status
enum<string>

Sorts the results by the status of the campaign. Status of the campaign. Allowed values: DONE, IN_PROGRESS, DRAFT, FAILED MODIFYING

Available options:
DONE,
IN_PROGRESS,
FAILED,
DRAFT,
MODIFYING
is_referral_code
boolean

Sorts the results that are or are not referral campaigns. Lists campaigns that have or do not have referral codes.

order
enum<string>

Sorts the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.

Available options:
created_at,
-created_at,
updated_at,
-updated_at
filters
object

Filters the results by various campaign properties.

access_settings
object

Filter by areas and stores IDs to return campaigns that are assigned to areas, stores, and all stores in an area.

Response

200 - application/json

Returns a dictionary with a campaign property that contains an array of campaigns. The maximum number of campaigns returned is determined by the limit query parameter. Each entry in the array is a separate campaign object. If no more campaigns are available, the resulting array on a given page will be empty.

Schema model for GET v1/campaigns.

object
string
default:list

The type of the object represented by JSON. This object stores information about campaigns in a dictionary.

data_ref
string
default:campaigns

Identifies the name of the attribute that contains the array of campaign objects.

campaigns
Campaign Base · object[]

Contains array of campaign objects.

total
integer

Total number of campaigns.

Last modified on June 15, 2026